Subject: bug#58042: 29.0.50; ASAN use-after-free in re_match_2_internal

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 May 2023 22:25:11 -0400

>> Really?
> Yes.

Damn!  I thought at least `handle_one_xevent` was "ELisp-clean".

>> In bug#62732 we have a related problem when code run from `maybe_quit`
>> (an atimer in that case) from the regexp engine, and that atimer
>> itself performs a regexp-operation, which messes up the outer regexp
>> engine invocation because the regexp engine is still not re-entrant (in
>> that bug, the problem is the `gl_state` global variable).
>
> bug#62732?  That's:

Hmm... not sure how I ended up writing this.  I meant bug#63253
Sorry 'bout that.

> I don't see how it's related to reentrant use of the regexp engine.
> BTW, which atimer is it?

The atimer for `with-delayed-message`.

        Stefan